DepthRange (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: DepthRange

Package edu.sc.seis.TauP

# Class DepthRange

java.lang.Object
edu.sc.seis.TauP.DepthRange

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`

    public class DepthRange
    extends java.lang.Object
    implements java.io.Serializable, java.lang.Cloneable

Convenience class for storing a depth range. It has a top and a bottom and can have an associated ray parameter.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `double` | `botDepth` | Bottom of the depth range.
  `double` | `rayParam` | rayParam associated with the depth range.
  `double` | `topDepth` | Top of the depth range.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DepthRange()` |
  `DepthRange​(double topDepth, double botDepth)` |
  `DepthRange​(double topDepth, double botDepth, double rayParam)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `clone()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### topDepth

    public double topDepth
    Top of the depth range.

  - ### botDepth

    public double botDepth
    Bottom of the depth range.

  - ### rayParam

    public double rayParam
    rayParam associated with the depth range. If this were a high slowness depth range, then rayParam would be the largest ray parameter that would penetrate the depth range.

- ## Constructor Details

  - ### DepthRange

    public DepthRange()

  - ### DepthRange

    public DepthRange​(double topDepth, double botDepth)

  - ### DepthRange

    public DepthRange​(double topDepth, double botDepth, double rayParam)

- ## Method Details

  - ### clone

    public java.lang.Object clone()
    Overrides:
      `clone` in class `java.lang.Object`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`